Gem install mechanize; Windows

Um…

D:/ruby/bin/ruby.exe extconf.rb install mechanize
checking for stdio.h… no
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

C:\Documents and Settings\whoami>ruby -v
ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32]

Any help on this one? Looks like i need stdio.h do I need to install
some dev version of ruby or what?

Any help is appreciated.
-Jt

Any help on this one? Looks like i need stdio.h do I need to install
some dev version of ruby or what?

Tried it on mingw–same results. I’ll ask about it. gem install
mechanize seems to work, though.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs